<template>
  <section class="gallery">
    <div class="overflow-hidden d-flex justify-content-center pt-4 pt-md-0">
      <img :src="mainImage" alt="" class="main-image img-fluid" />
    </div>

    <div class="mt-1 p-3" v-if="this.product.galeria.length">
      <VueSlickCarousel
        :arrows="true"
        :dots="true"
        slidesPerRow="4"
        :infinite="true"
        :swipeToSlide="true"
        class="carousel-no-controls px-2"
      >
        <img
          :src="image.url"
          v-for="(image, index) in this.product.galeria"
          :key="index"
          :alt="image.nombre"
          @click="setMainImage(image.url)"
          class="img-fluid pointer shadow-card"
        />
      </VueSlickCarousel>
    </div>
  </section>
</template>

<script>
export default {
  name: "Gallery",
  data() {
    return {
      mainImage: null,
    };
  },
  mounted() {
    // Asignar imagen inicial
    if (this.product.galeria.length) {
      this.setMainImage(this.product.galeria[0].url);
    } else {
      this.setMainImage(this.product.foto_real.url);
    }
  },
  props: {
    product: Object,
  },
  methods: {
    setMainImage(url) {
      this.mainImage = url;
    },
  },
};
</script>

<style lang="scss">
@import "~/assets/scss/variables";

// .gallery {
//   display: grid;
//   grid-template-columns: repeat(4, 1fr);
//   grid-template-rows: 70px;
//   grid-gap: 1rem;

//   @media (min-width: 768px) {
//     grid-template-rows: 100px;
//   }

//   img {
//     height: 70px;
//     border: 3px solid rgba($secondary, 0.2);

//     &:hover {
//       border: 3px solid $primary;
//     }

//     @media (min-width: 992px) {
//       height: 100px;
//     }
//   }
// }

.gallery {
  .main-image {
    max-width: 200px;
    transition: transform 0.3s;

    &:hover {
      transform: scale(1.05);
    }

    @media (min-width: 768px) {
      max-width: 300px;
    }
  }

  .slick-dots {
    list-style: none;
    display: flex !important;
    justify-content: center;
    padding: 0;
    position: absolute;
    bottom: -2rem;
    left: 0;
    right: 0;
    margin: auto;

    li {
      border-radius: 50%;
    }

    button {
      color: transparent;
      display: inline-block;
      width: 10px;
      height: 13px;
      border: 1px solid rgba($primary, 0.3);
      border-radius: 50%;
      margin: 0 0.5rem;
      display: flex;
      justify-content: center;
      align-items: center;
      transition: transform 0.1s;
    }

    .slick-active {
      button {
        background-color: rgba($primary, 0.8);
        transform: scale(1.2);
      }
    }
  }
}
</style>